io.milvus.v2.service.rbac

## Class RoleService

- java.lang.Object
- - io.milvus.v2.service.BaseService
  - - io.milvus.v2.service.rbac.RoleService

-     public class RoleService
      extends BaseService

- - ### Field Summary

    - ### Fields inherited from class io.milvus.v2.service.BaseService

      `convertUtils, dataUtils, rpcUtils, vectorUtils`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoleService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Void` | `createRole(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, CreateRoleReq request)`
    `DescribeRoleResp` | `describeRole(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, DescribeRoleReq request)`
    `java.lang.Void` | `dropRole(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, DropRoleReq request)`
    `java.lang.Void` | `grantPrivilege(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, GrantPrivilegeReq request)`
    `java.lang.Void` | `grantRole(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, GrantRoleReq request)`
    `java.util.List<java.lang.String>` | `listRoles(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub)`
    `java.lang.Void` | `revokePrivilege(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, RevokePrivilegeReq request)`
    `java.lang.Void` | `revokeRole(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, RevokeRoleReq request)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RoleService

          public RoleService()

  - ### Method Detail

    - #### listRoles

          public java.util.List<java.lang.String> listRoles(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub)

    - #### createRole

          public java.lang.Void createRole(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                           CreateRoleReq request)

    - #### describeRole

          public DescribeRoleResp describeRole(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                               DescribeRoleReq request)

    - #### dropRole

          public java.lang.Void dropRole(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                         DropRoleReq request)

    - #### grantPrivilege

          public java.lang.Void grantPrivilege(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                               GrantPrivilegeReq request)

    - #### revokePrivilege

          public java.lang.Void revokePrivilege(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                                RevokePrivilegeReq request)

    - #### grantRole

          public java.lang.Void grantRole(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                          GrantRoleReq request)

    - #### revokeRole

          public java.lang.Void revokeRole(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                           RevokeRoleReq request)